<?php
/**
 * Vote widget component
 * 
 * @package     Joomla.Administrator
 * @subpackage  com_weightyvote
 * @license GNU General Public License version 3 or later; see LICENSE.txt
 * 
 */

 // No direct access to file
defined('_JEXEC' ) or die;
 
jimport('joomla.form.formfield');
 
class JFormFieldSettingslink extends JFormField {
 
    /*
     * Input type
     */
    protected $type = 'settingslink';

    /**
     * Out input to form
     * 
     * @since 1.0.0
     * @access public
     * @return string html element code
     */
    public function getInput() {
        $input = JFactory::getApplication()->input;
        $id = $input->get('id');

        $element = '<a class="btn btn-default" href="'.JRoute::_('index.php?option=com_weightyvote&view=settings&id='.$id, false).'">'.JTEXT::_('COM_WEIGHTYVOTE_CUSTOMBTN').'</a>';
        return $element;
    }
}