<?php
/**
 * WeightyVote widget component
 * 
 * @package     Joomla.Administrator
 * @subpackage  com_weightyvote
 * @license GNU General Public License version 3 or later; see LICENSE.txt
 * 
 */

 // No direct access to file
defined('_JEXEC' ) or die;
?>
<h1><?php echo $this->title; ?></h1>
<form action="<?php echo JRoute::_('index.php?option=com_weightyvote&view=settings&id='.(int) $this->id); ?>" method="post" name="adminForm" id="adminForm">
<div id="html_code" class="offset1">
    <div class="row">
        <div class="span4">
            <div class="row">
                <h3><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_VOTE'); ?></h3>
            </div>
            <label class="span3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_CATEGORY'); ?></label>
            <div class="btn-group span12">
                <button id="categorieslistbtn" class="btn btn-default btn-sm dropdown-toggle span12" type="button" data-toggle="dropdown" aria-expanded="false">
                    Select <span class="caret"></span>
                </button>
                <ul id="categorieslist" class="dropdown-menu" role="menu"></ul>
            </div>
            <label class="span3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_VOTE'); ?></label>
            <div class="btn-group span12">
                <button id="voteslistbtn" class="btn btn-default btn-sm dropdown-toggle span12" type="button" data-toggle="dropdown" aria-expanded="false">
                    Select <span class="caret"></span>
                </button>
                <ul id="voteslist" class="dropdown-menu" role="menu"></ul>
            </div>
        </div>
        <div class="span4">
            <h3><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_WIDGET'); ?></h3>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_BORDERCOLOR'); ?></label>
            <div class="col-md-3 col-lg-3 span2">
                <input id="btn1" style="display: none;" class="color form-control" name="borderWg" value="<?php echo $this->borderWg; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_BORDERSIZE'); ?></label>
            <div class="col-md-3 col-lg-3 span2">
                <input id="btn2" class="form-control span12" name="borderSizeWg" min="0" max="5" step="1" type="number" value="<?php echo $this->borderSizeWg; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_SHADOWINTENSE'); ?></label>
            <div class="col-md-3 col-lg-3 span2">
                <input class="form-control span12" name="shadowOpacity" min="0" max="1" step="0.05" type="number" value="<?php echo $this->shadowOpacity; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_SHADOWSIZE'); ?></label>
            <div class="col-md-3 col-lg-3 span2">
                <input class="form-control span12" name="shadowSize" min="0" max="50" step="1" type="number" value="<?php echo $this->shadowSize; ?>">
            </div>
        </div>
        <div class="span4">
            <h3><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_QUESTION'); ?></h3>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_BGQUESTION'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="bgHeader" value="<?php echo $this->bgHeader; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_TEXTQUESTION'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="colorHeader" value="<?php echo $this->colorHeader; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_SEPARATOR'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="borderHeader" value="<?php echo $this->borderHeader; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_LINESIZE'); ?></label>
            <div class="col-md-3 col-lg-3 span2">
                <input class="form-control span12" name="borderSizeHeader" min="0" max="5" step="1" type="number" value="<?php echo $this->borderSizeHeader; ?>">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="span4">
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_PREVIEW'); ?></label>
            <div id="vote-widget-place" class="span11"></div>
        </div>
        <div class="span4">
            <h3><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_RESP'); ?></h3>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_BGRESP'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="bgBody" value="<?php echo $this->bgBody; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_TEXTRESP'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="colorWg" value="<?php echo $this->colorWg; ?>">
            </div>
            <label class="span6 col-md-4 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_BGVOTES'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="bgAnswerCount" value="<?php echo $this->bgAnswerCount; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_TEXTVOTES'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="colorAnswerCount" value="<?php echo $this->colorAnswerCount; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_BGBUTTON'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="bgButton" value="<?php echo $this->bgButton; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_TEXTBUTTON'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="colorButton" value="<?php echo $this->colorButton; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_RESULTLINK'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="colorLink" value="<?php echo $this->colorButton; ?>">
            </div>
        </div>
        <div class="span4">
            <h3><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_STATISTIC'); ?></h3>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_SEPARATOR'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="borderFooter" value="<?php echo $this->borderFooter; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_LINESIZE'); ?></label>
            <div class="col-md-3 col-lg-3 span2">
                <input class="form-control span12" name="borderSizeFooter" min="0" max="5" step="1" type="number" value="<?php echo $this->borderSizeFooter; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_BGSTAT'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="bgFooter" value="<?php echo $this->bgFooter; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_TEXTSTAT'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="colorFooter" value="<?php echo $this->colorFooter; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_BGCOUNT'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="bgCounter" value="<?php echo $this->bgCounter; ?>">
            </div>
            <label class="span6 col-md-3 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_TEXTCOUNT'); ?></label>
            <div class="col-md-3 col-lg-3 span3">
                <input style="display: none;" class="color form-control" name="colorCounter" value="<?php echo $this->colorCounter; ?>">
            </div>
        </div>
    </div>
</div>
<div>
    <input type="hidden" name="boxchecked" value="1" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="vote_id" value="<?php echo $this->vote_id; ?>" />
    <?php echo JHtml::_('form.token'); ?>
</div>
</form>