<?php
/**
 * WeightyVote widget component
 * 
 * @package     Joomla.Administrator
 * @subpackage  com_weightyvote
 * @license GNU General Public License version 3 or later; see LICENSE.txt
 * 
 */

 // No direct access to file
defined('_JEXEC' ) or die;
?>
<script>var current_vote_id=<?php echo $this->vote_id; ?></script>
<h1><?php echo $this->title; ?></h1>

<form action="<?php echo JRoute::_('index.php?option=com_weightyvote&view=edit&id='.(int) $this->id); ?>" method="post" name="adminForm" id="adminForm">
<div class="row span12">
    <h3><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_VOTE'); ?></h3>
</div>
<div class="row span12">
    <label class="span2 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_CATEGORY'); ?></label>
    <div class="btn-group span10">
        <button id="categorieslistbtn" class="btn btn-default btn-sm dropdown-toggle span8" type="button" data-toggle="dropdown" aria-expanded="false">
            Select <span class="caret"></span>
        </button>
        <ul id="categorieslist" class="dropdown-menu" role="menu"></ul>
    </div>
</div>
<div class="row span12">
    <label class="span2 control-label"><?php echo JText::_('COM_WEIGHTYVOTE_WIDGET_SETTINGS_VOTE'); ?></label>
    <div class="btn-group span10">
        <button id="voteslistbtn" class="btn btn-default btn-sm dropdown-toggle span8" type="button" data-toggle="dropdown" aria-expanded="false">
            Select <span class="caret"></span>
        </button>
        <ul id="voteslist" class="dropdown-menu" role="menu"></ul>
    </div>
</div>
<div>
    <input type="hidden" name="boxchecked" value="1" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="vote_id" value="<?php echo $this->vote_id; ?>" />
    <?php echo JHtml::_('form.token'); ?>
</div>
</form>